Package de.gebit.integrity.remoting.transport.messages

## Class TimeSyncRequestMessage

- java.lang.Object
- - de.gebit.integrity.remoting.transport.messages.AbstractMessage
  - - de.gebit.integrity.remoting.transport.messages.TimeSyncRequestMessage

- All Implemented Interfaces:
    `Serializable`

      public class TimeSyncRequestMessage
      extends AbstractMessage

  Sent to synchronize the artificial test time on the different systems.
  Author:
    Rene Schneider - initial API and implementation
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TimeSyncRequestMessage()` | Constructor.
    `TimeSyncRequestMessage​(Date aStartDate, List<org.eclipse.xtext.util.Pair<Long,​TemporalUnit>> aDiffTime, BigDecimal aProgressionFactor, String[] someTargetedForks)` | Constructs an instance.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `List<org.eclipse.xtext.util.Pair<Long,​TemporalUnit>>` | `getDiffTime()` |
    `BigDecimal` | `getProgressionFactor()` |
    `Date` | `getStartDate()` |
    `String[]` | `getTargetedForks()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TimeSyncRequestMessage

          public TimeSyncRequestMessage()

      Constructor.

    - #### TimeSyncRequestMessage

          public TimeSyncRequestMessage​(Date aStartDate,
                                        List<org.eclipse.xtext.util.Pair<Long,​TemporalUnit>> aDiffTime,
                                        BigDecimal aProgressionFactor,
                                        String[] someTargetedForks)

      Constructs an instance.
      Parameters:
        `aStartDate` -
        `aProgressionFactor` -

  - ### Method Detail

    - #### getStartDate

          public Date getStartDate()

    - #### getDiffTime

          public List<org.eclipse.xtext.util.Pair<Long,​TemporalUnit>> getDiffTime()

    - #### getProgressionFactor

          public BigDecimal getProgressionFactor()

    - #### getTargetedForks

          public String[] getTargetedForks()